Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global module_name text-table

Name:           nodejs-%{module_name}
Version:        0.2.0
Release:        alt1_8
Summary:        Generate borderless text table strings suitable for printing to stdout

License:        MIT
URL:            https://github.com/substack/%{module_name}
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  npm(tap)
Source44: import.info


%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
tap test/node/*.js

%files
%doc LICENSE readme.markdown example
%{nodejs_sitelib}/%{module_name}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_8
- new version

